GST Auth
This api is for validating a GST number. We have to pass GST number in request. If the request is valid, we will get a success response.
https://kraken.airpay.co.in/airpay/ms/baas/api/gst-verificationHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| affiliate required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| checksum required | Text | $string = $param.self::$secret_key; | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| api-key required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| processor-key required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| gstin required | Text (15) | GST number | 18ABCDU9604A1BC |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Numeric | 400- fail,200-success(length 3) | 200,400 |
| message required | Text | success, fail | success,fail |
| data required | Text | { “stjCd”: “AS123”, “lgnm”: “AU SMALL FINANCE BANK LIMITED”, “stj”: “CHERTHALA - A - 1”, “dty”: “Regular”, “adadr”: [ { “addr”: “NA”, “ntr”: “Office / Sale Office, Supplier of Services”, “adr”: “Mirza store, Mavelikkara PO, Dist-Kamrup, Assam, pin: 781125”, “em”: "", “lastUpdatedDate”: “NA”, “mb”: "" }, … ], “gstin”: “18ABCDU9604A1BC”, “lstupdt”: “13/10/2021”, “rgdt”: “30/10/2018”, “ctb”: “Public Limited Company”, “tradeNam”: “AU SMALL FINANCE BANK LIMITED”, “sts”: “Active” } |
Request Example
Section titled “Request Example” curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/gst-verification' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'Content-Type: application/x-www-form-urlencoded' \--data-urlencode 'gstin=18ABCDU9604A1BC'Success Response
Section titled “Success Response”{ "status": "200", "message": "success", "data": { "stjCd": "AS123", "lgnm": "AU SMALL FINANCE BANK LIMITED", "stj": "CHERTHALA - A - 1", "dty": "Regular", "adadr": [ { "addr": "NA", "ntr": "Office / Sale Office, Supplier of Services", "adr": "Mirza store, Mavelikkara PO, Dist-Kamrup, Assam, pin: 781125", "em": "", "lastUpdatedDate": "NA", "mb": "" }, { "addr": "NA", "ntr": "Recipient of Goods or Services, Supplier of Services", "adr": "Pathsala - 0101, House No -123,, Station road,Pathsala, NR SBI branch Dist, Barpeta, Assam, pin: 781325", "em": "", "lastUpdatedDate": "NA", "mb": "" }, { "addr": "NA", "ntr": "Recipient of Goods or Services, Supplier of Services", "adr": "Baroda Lane, GHHospital Road, pathirappally, Kannur, pin: 712345", "em": "", "lastUpdatedDate": "NA", "mb": "" } ], "cxdt": "", "gstin": "18ABCDU9604A1BC", "nba": [ "Retail Business", "Supplier of Services", "Recipient of Goods or Services", "Office / Sale Office", "Others" ], "lstupdt": "13/10/2021", "rgdt": "30/10/2018", "ctb": "Public Limited Company", "pradr": { "addr": "NA", "ntr": "Supplier of Services, Recipient of Goods or Services, Others", "adr": "Prithivi complex, vijay Nagar, opp. KFC building, Thrissur, pin: 781090", "em": "", "lastUpdatedDate": "NA", "mb": "" }, "tradeNam": "AU SMALL FINANCE BANK LIMITED", "sts": "Active", "ctjCd": "UQ0101", "ctj": "I-A RANGE", "mbr": [], "canFlag": "NA", "cmpRt": "NA", "contacted": { "email": null, "mobNum": null, "name": null }, "ppr": "NA" }}Error Response
Section titled “Error Response”{ "status": "400", "message": "Failed", "data": ""}